package com.neusoft.smart.pos.order.persistent.mapper;

import com.neusoft.smart.pos.order.persistent.domain.OrderRefundTransaction;
import com.neusoft.smart.pos.order.persistent.domain.OrderRefundTransactionExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrderRefundTransactionMapper {
    int countByExample(OrderRefundTransactionExample example);

    int deleteByExample(OrderRefundTransactionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(OrderRefundTransaction record);

    int insertSelective(OrderRefundTransaction record);

    List<OrderRefundTransaction> selectByExample(OrderRefundTransactionExample example);

    OrderRefundTransaction selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") OrderRefundTransaction record, @Param("example") OrderRefundTransactionExample example);

    int updateByExample(@Param("record") OrderRefundTransaction record, @Param("example") OrderRefundTransactionExample example);

    int updateByPrimaryKeySelective(OrderRefundTransaction record);

    int updateByPrimaryKey(OrderRefundTransaction record);

    void batchInsert(@Param("items") List<OrderRefundTransaction> items);
}